curl --request GET \
--url https://api.withorb.com/v1/events/backfills \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"events_ingested": 123,
"close_time": "2023-11-07T05:31:56Z",
"reverted_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"replace_existing_events": true,
"deprecation_filter": "my_numeric_property > 100 AND my_other_property = 'bar'"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}This endpoint returns a list of all backfills in a list format.
The list of backfills is ordered starting from the most recently created backfill. The response also includes
pagination_metadata, which lets the caller retrieve the next page of results if they
exist. More information about pagination can be found in the Pagination-metadata schema.
curl --request GET \
--url https://api.withorb.com/v1/events/backfills \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"events_ingested": 123,
"close_time": "2023-11-07T05:31:56Z",
"reverted_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"replace_existing_events": true,
"deprecation_filter": "my_numeric_property > 100 AND my_other_property = 'bar'"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}API Keys can be issued in the Orb's web application.
The number of items to fetch. Defaults to 20.
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
OK
Show child attributes
The status of the backfill.
pending, reflected, pending_revert, reverted The number of events ingested in this backfill.
If in the future, the time at which the backfill will automatically close. If in the past, the time at which the backfill was closed.
The time at which this backfill was reverted.
The Orb-generated ID of the customer to which this backfill is scoped. If null, this backfill is scoped to all customers.
If true, existing events in the backfill's timeframe will be replaced with the newly ingested events associated with the backfill. If false, newly ingested events will be added to the existing events.
A boolean computed property used to filter the set of events to deprecate
"my_numeric_property > 100 AND my_other_property = 'bar'"
Was this page helpful?